Library HelloWorld;

procedure MessageBox(hWnd:LongInt;lpText,lpCaption:PChar;uType:LongWord); stdcall;
external 'user32.dll' name 'MessageBoxA';

{Plugin Identifier}
Function PluginID: Pchar; stdcall;
  {PluginName   : 'Hello World'
   PluginAuthor :   'Author'
   PluginVersion:    '0.1'
   PluginDescrip:     'Hello World Plugin.'}
begin
  Result := 'Hello World'+'|'+'Author'+'|'+'0.1'+'|'+'Hello World XRipper Plugin.';
end;

Procedure PluginRun;
Begin
  {Plugin Start}
  {Your code goes here}                                  {MB_OK or MB_ICONINFORMATION}          
  MessageBox(0, 'Hello, I''m plugin :)', 'Plugin Message' , $00 or $40);
end;

 Exports PluginID, PluginRun;

begin
end.


